%global srcname colcon-library-path

Name:           python-%{srcname}
Version:        0.2.1
Release:        3%{?dist}
Summary:        Extension for colcon adding an environment variable to find libraries

License:        ASL 2.0
URL:            https://colcon.readthedocs.io
Source0:        https://github.com/colcon/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
An extension for colcon-core to set an environment variable to find shared
libraries at runtime.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-setuptools >= 30.3.0
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%if %{undefined __pythondist_requires}
Requires:       python%{python3_pkgversion}-colcon-core
%endif # __pythondist_requires

%description -n python%{python3_pkgversion}-%{srcname}
An extension for colcon-core to set an environment variable to find shared
libraries at runtime.


%prep
%autosetup -p1 -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install


%check
%{__python3} -m pytest \
    --ignore=test/test_spell_check.py \
    --ignore=test/test_flake8.py \
    test


%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/colcon_library_path/
%{python3_sitelib}/colcon_library_path-%{version}-py%{python3_version}.egg-info/


%changelog
* Fri Apr 26 2019 Scott K Logan <logans@cottsay.net> - 0.2.1-3
- Drop obsolte Group

* Fri Apr 26 2019 Scott K Logan <logans@cottsay.net> - 0.2.1-2
- Rebuilt to change main python from 3.4 to 3.6 in EPEL 7
- Handle automatic dependency generation (f30+)

* Thu Jan 17 2019 Scott K Logan <logans@cottsay.net> - 0.2.1-1
- Update to 0.2.1

* Fri Oct 26 2018 Scott K Logan <logans@cottsay.net> - 0.2.0-1
- Initial package
